---
title: GitLab Training Prerequisites  
suppress_header: true
description: "GitLab Training Prerequisites"
extra_css:
  - services.css
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 GitLab Training Prerequisites  

.wrapper
  .page-container.container
    %ol.breadcrumb
      %li 
      = breadcrumbs(current_page)
    .row
      .col-md-12
        %h2 Welcome!
        %p On behalf of the GitLab Professional Services team, thank you for registering for the GitLab Training! Our goal is to get you up to speed with implementing and using GitLab to help our customers accelerate their time to value.
        %p Before the training starts, there are a few tasks that need to be done on your side to ensure a smooth learning experience. Most of the training modules will include a presentation and demo which you can follow along with on your systems, as well as one or more hands-on labs. To ensure you can practice what you are learning, you need to bring your own laptop with docker and git installed. Please complete the following Attendee Laptop checklist below ahead of the session.
        %h2 Attendee Laptops 
        %p Here are some things you should take care of ahead of the session to make sure your laptop system is ready. 
        %ul
          %li 
            %strong System: 
            Each attendee must bring their own laptop running macOS, Linux, or Windows.
            Please review the 
            %a{href: "https://docs.gitlab.com/ee/install/requirements.html", target: "_blank"} system requirements here 
            to confirm your laptop meets them.
          %li 
            %strong Internet Access: 
            Your laptop should have internet access and at least http, https, ftp, and ssh open outbound.
          %li 
            %strong Docker: 
            Install Docker on your 
            %a{href: "https://www.docker.com/products/docker-desktop", target: "_blank"} laptop from here
          %li 
            %strong Verify Git installation: 
            Your laptop likely already has Git installed. To verify, follow these instructions.
          %ul
            %li 
              %strong macOS:
              Type 
              %code git
              in the Terminal application. If it’s not installed, it will prompt you to install it.
            %li 
              %strong Linux: 
              %code sudo yum install git-all 
              or 
              %code sudo apt-get install git-all
            %li 
              %strong Windows 10: 
              %a{href: "https://docs.microsoft.com/en-us/windows/wsl/install-win10", target: "_blank"} Windows Subsystem for Linux
            %li 
              %strong Other versions of Windows: 
              %a{href: "https://git-for-windows.github.io", target: "_blank"} See Git for Windows
          %li 
            Generate SSH keys: 
            %a{href: "https://docs.gitlab.com/ee/ssh/", target: "_blank"} Follow the instructions here
        %h2 GitLab.com Access
        %p Our presenters will set up a private group ahead of the session and invite each of you to join the group. This will enable you to access GitLab.com paid features and capabilities during the training session that are not available with the free version of GitLab.com. 
        %p For your information, here is the checklist our presenters will follow.
        %ul
          %li 
            Make sure all attendees have an account created ahead of time.
          %li 
            Create a group for your class and assign attendees as 
            %a{href: "https://docs.gitlab.com/ee/user/group/", target: "_blank"} maintainers to the group
          %li 
            Add the user’s 
            %a{href: "https://docs.gitlab.com/ee/ssh/#adding-an-ssh-key-to-your-gitlab-account", target: "_blank"} ssh keys to their profile
        %h2 Course-Specific Requirements
        %h3 GitLab for System Administrators
        %ul
          %li 
            %strong Docker: 
            We use Docker to set up a GitLab sandbox instance for each attendee. Docker is preferred because attendees can walk away with it on their systems. AWS stacks can be arranged if Docker is not an option.
          %li 
            %strong OS: 
            Non-Windows, Mac OS X preferred
          %li 
            %strong Browser:
            No Internet Explorer
        %h3 GitLab CI/CD Training
        %ul
          %li 
            %strong GitLab.com Access: 
            Access to a GitLab account is required for each attendee. This can be your own instance, GtiLab.com, or a Docker sandbox.
          %li 
            %strong Browser:
            No Internet Explorer
